Subject: pkinit and EC groups

From: Sam Hartman <[email-masked]>
Date: Fri, 29 Apr 2005 03:03:56 -0400

I indicated that I was going to talk to Russ about the EC issues with
pkinit.  I did so last night.

First, Russ reminds us of the NSA presentation at the DC IETF.  The
NSA has licenses available for EC groups of greater than 256-bits in
size.  We should double check and make sure any EC groups we propose
for pkinit are within all the conditions of the NSA license.

Russ would like to encourage open-source implementers to try and go
through the process of obtaining such a license.

There have been a wide variety of patent claims surrounding EC groups.
There are no groups we know are not covered by some patents or pending
patents.

The only firm safety net we can offer is the NSA license.

--Sam